Skip to content

Managers ​

This page documents on how to:

Fetch managers ​

Fetch a list of managers accounts.

Scope ​

managers_read

Endpoint ​

http
GET /managers

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample ValueDefaultDescription
keywordsString"Foo Bar"nullSearch from keywords in first_name, last_name and email fields
orderString"created_at""created_at"Chosen field for ordering the data. Available values: ["created_at"]
sortString"desc""desc"Way of sorting the data. Available values: ["asc","desc"]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Examples ​

Find the second page of the managers result.
http
GET https://api.talentview.fr/v2/managers?page=2

View response example

Fetch manager ​

Fetch one specific Manager account from its id or email address.

Scope ​

managers_read

Endpoint ​

http
GET /managers/:id

Open in Postman

Accepted params ​

ParamTypeExample ValueDefaultDescription
idInteger or String1-In the path, id or email of the Manager to fetch.
embedStringunitsnullIn the querystring, wanted embedded data, separated with comas. Available values: [units]

Embedded data ​

In this endpoint, embedded data can be requested:

  • units: Manager's Units

Examples ​

Retrieve all the data of a manager whose id 845.
http
GET https://api.talentview.fr/v2/managers/845?embed=units

View response example

Create manager ​

Create a Manager account.

Scope ​

managers_write

Endpoint ​

http
POST /managers

Open in Postman

Accepted params ​

All parameters should be in the request's body.

ParamTypeExample valueRequiredDescription
managerObject-✓Manager data
manager["email"]String"jane_doe@email.com"✓Email address
manager["first_name"]String"Jane"✗First name
manager["last_name"]String"Doe"✗Last name
manager["locale"]String"fr"✗Manager's language. Available values: ["fr", "en"]
manager["phone_code"]String"33"✗Phone country code
manager["phone_number"]String"642424242"✗Phone number without country code
manager["avatar_url"]String"https://foo.bar/url"✗Picture url
manager["credentials"]Integer1✗Credentials for this account. Avalaible values: [1,2,3,4]. See description of the values in managers#credentials.
manager["is_verified"]Booleanfalse✗Is the Manager verified. Only verified Manager can connect to the ATS.
manager["unit_ids"]Array of Integers[1,2]✗Units in which this Manager belongs.

Examples ​

Create a manager with basic details
http
POST https://api.talentview.fr/v2/managers

BODY:

json
{
    "manager":{
        "email":            "jane_doe@email.com",
        "first_name":       "Jane",
        "last_name":        "Doe",
        "locale":           "fr",
        "phone_code":       "33",
        "phone_number":     "601020304",
        "avatar_url":       "https://foo.bar/url",
        "credentials":      1,
        "is_verified":      false,
        "unit_ids":         [1,2]
    }
}

View response example

Update manager ​

Update one specific Manager account from its id or email address.

Scope ​

managers_write

Endpoint ​

http
PATCH /managers/:id

Open in Postman

Accepted params (in path) ​

ParamTypeExample valueRequiredDescription
idInteger or String1✓id or email of the Manager to fetch.

Accepted params (in body) ​

ParamTypeExample valueRequiredDescription
managerObject-✓Manager data
manager["email"]String"jane_doe@email.com"✓Email address
manager["first_name"]String"Jane"✗First name
manager["last_name"]String"Doe"✗Last name
manager["locale"]String"fr"✗Manager's language. Available values: ["fr", "en"]
manager["phone_code"]String"33"✗Phone country code
manager["phone_number"]String"642424242"✗Phone number without country code
manager["avatar_url"]String"https://foo.bar/url"✗Picture url
manager["credentials"]Integer1✗Credentials for this account. Avalaible values: [1,2,3,4]. See description of the values in managers#credentials.
manager["is_active"]Booleantrue✗Is the Manager active. Only active and verified Manager can connect to the ATS.
manager["is_verified"]Booleanfalse✗Is the Manager verified. Only active and verified Manager can connect to the ATS.

Examples ​

Retrieve the manager whose email address is "foo@bar.com" and update their name.

URL:

http
PATCH https://api.talentview.fr/v2/managers/foo@bar.com

BODY:

json
{
    "manager":{
        "first_name":       "John",
        "last_name":        "Cena",
    }
}

View response example

Assign manager to unit ​

Add an existing Manager account to an existing Unit.

Scope ​

managers_write

Endpoint ​

http
POST /managers/:manager_id/units/:unit_id

Open in Postman

Accepted params ​

All parameters should be in the path.

ParamTypeExample valueRequiredDescription
manager_idInteger or String1✓id or email of the Manager to assign
unit_idInteger1✓id of the Unit in which to assign the Manager

Examples ​

Assign manager with email "perret.amaranthe@example.org" to unit with id 4708
http
POST https://api.talentview.fr/v2/managers/perret.amaranthe@example.org/units/4708

View response example

Unassign manager from unit ​

Remove an existing Manager account from an existing Unit.

Scope ​

managers_write

Endpoint ​

http
DELETE /managers/:manager_id/units/:unit_id

Open in Postman

Accepted params ​

All parameters should be in the path.

ParamTypeExample valueRequiredDescription
manager_idInteger or String1✓id or email of the Manager to remove
unit_idInteger1✓id of the Unit from which to remove the Manager

Examples ​

Unassign manager with id 1 from unit with id 2
http
DELETE https://api.talentview.fr/v2/managers/1/units/2

View response example

Destroy manager ​

Permanently destroy a Manager account from its id or email address.

Scope ​

managers_write

Endpoint ​

http
DELETE /managers/:id

Open in Postman

INFO

Please note that the deletion is executed asynchronously

Accepted params ​

ParamTypeExample valueRequiredDescription
idInteger or String1✓In the path, id or email of the Manager to fetch.

Examples ​

Delete a manager with id 42
http
DELETE https://api.talentview.fr/v2/managers/42

View response example

Customer documentation for the Kelio ATS API